<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0"; 

$userCode = $bbdd->checkParameter('userCode',true);
$reciCode = $bbdd->checkParameter('reciCode');
$listCode = $bbdd->checkParameter('listCode',true);
$listName = $bbdd->checkParameter('listName');

//Valida que s'haguin rebut tots els paràmetres
if ($userCode !== 0 && $reciCode !== 0 && $listCode !== 0 && $listName !== 0) {	
	//Crea una llista nova si cal
	if($listCode == "0") $listCode = $bbdd->insertID("Lists", "listUser,listTitle", "'".$userCode."', '".$listName."'");
	
	$ingredients = $bbdd->select("inreIngr,inreQuantity","IngredientsRecipes","inreRece = '".$reciCode."'");
	
	if(mysqli_num_rows($ingredients) > 0) {
		while($ingr = mysqli_fetch_object($ingredients)) {
			$result = $bbdd->insert("IngredientsLists", "inliList,inliIngredient,inliQuantity", "'".$listCode."','".$ingr->inreIngr."','".$ingr->inreQuantity."'");
		}
	}
	
	//Resposta: Positiva
	$response["success"] = "1"; 
	$response["message"] = "S'han enviat els ingredients a la llista correctament.";	
		
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);
?>